Package com.fasterxml.jackson.core.util

# Class RequestPayload

java.lang.Object
com.fasterxml.jackson.core.util.RequestPayload

All Implemented Interfaces:
  `Serializable`

public class RequestPayload extends Object implements Serializable
Container object used to contain optional information on content being parsed, passed to `JsonParseException` in case of exception being thrown; this may be useful for caller to display information on failure.

Since:
  2.8
See Also:
  - Serialized Form

## Field Summary

Fields
Modifier and Type
Field
Description
`protected String`
`_charset`
`protected byte[]`
`_payloadAsBytes`
`protected CharSequence`
`_payloadAsText`

## Constructor Summary

Constructors
Constructor
Description
`RequestPayload(byte[] bytes, String charset)`
`RequestPayload(CharSequence str)`

## Method Summary

Modifier and Type
Method
Description
`Object`
`getRawPayload()`
Returns the raw request payload object i.e, either byte[] or String
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### _payloadAsBytes

protected byte[] _payloadAsBytes

### _payloadAsText

protected CharSequence _payloadAsText

### _charset

protected String _charset

## Constructor Details

### RequestPayload

public RequestPayload(byte[] bytes, String charset)

### RequestPayload

public RequestPayload(CharSequence str)

## Method Details

### getRawPayload

public Object getRawPayload()
Returns the raw request payload object i.e, either byte[] or String

Returns:
  Object which is a raw request payload i.e, either byte[] or String

### toString

public String toString()

Overrides:
  `toString` in class `Object`